com.fasterxml.jackson.dataformat.avro.deser

## Class MissingReader

- java.lang.Object
- - com.fasterxml.jackson.core.JsonStreamContext
  - - com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext
    - - com.fasterxml.jackson.dataformat.avro.deser.MissingReader

-     public class MissingReader
      extends AvroReadContext

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MissingReader` | `instance`

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext

      `_parent`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `_index, _type, TYPE_ARRAY, TYPE_OBJECT, TYPE_ROOT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MissingReader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendDesc(StringBuilder sb)`
    `com.fasterxml.jackson.core.JsonToken` | `getCurrentToken()`
    `String` | `nextFieldName()`
    `com.fasterxml.jackson.core.JsonToken` | `nextToken()`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext

      `_reportError, getCurrentName, getParent, toString`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `getCurrentIndex, getCurrentValue, getEntryCount, getTypeDesc, inArray, inObject, inRoot, setCurrentValue, typeDesc`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final MissingReader instance

  - ### Constructor Detail

    - #### MissingReader

          public MissingReader()

  - ### Method Detail

    - #### nextToken

          public com.fasterxml.jackson.core.JsonToken nextToken()

      Specified by:
        `nextToken` in class `AvroReadContext`

    - #### getCurrentToken

          public com.fasterxml.jackson.core.JsonToken getCurrentToken()

      Specified by:
        `getCurrentToken` in class `AvroReadContext`

    - #### appendDesc

          public void appendDesc(StringBuilder sb)

      Specified by:
        `appendDesc` in class `AvroReadContext`

    - #### nextFieldName

          public String nextFieldName()
                               throws IOException

      Specified by:
        `nextFieldName` in class `AvroReadContext`
      Throws:
        `IOException`

Copyright © 2016 FasterXML. All rights reserved.